unit Unit_FrmMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, MultiDesktop, StdCtrls;

type
  TFrmMain = class(TForm)
    MultiDesktop1: TMultiDesktop;
    Memo1: TMemo;
    MultiDesktop2: TMultiDesktop;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  HokeyId_F5:integer;
  HokeyId_F6:integer;
  HokeyId_F7:integer;
  Procedure WMhotkeyhandle(var msg:Tmessage);message WM_HOTKEY;//ӦȫȼϢ
  public
    { Public declarations }
  end;

var
  FrmMain: TFrmMain;

implementation

{$R *.dfm}

procedure TFrmMain.FormCreate(Sender: TObject);
begin
MultiDesktop1.Open;
MultiDesktop2.Open;
HokeyId_F5:=GlobalAddAtom(Pchar('UserDefineHotKey'))-$C000;//ȥΪ˱֤ȡֵΧ
RegisterHotKey(Handle, HokeyId_F5,0,VK_F5);
HokeyId_F6:=GlobalAddAtom(Pchar('UserDefineHotKey'))-$D000;//ȥΪ˱֤ȡֵΧ
RegisterHotKey(Handle,HokeyId_F6,0,VK_F6);
HokeyId_F7:=GlobalAddAtom(Pchar('UserDefineHotKey'))-$E000;//ȥΪ˱֤ȡֵΧ
RegisterHotKey(Handle,HokeyId_F7,0,VK_F7);
end;

procedure TFrmMain.WMhotkeyhandle(var msg: Tmessage);
begin
if (msg.LParamHi=VK_F5) then MultiDesktop1.Switch;
if (msg.LParamHi=VK_F6) then MultiDesktop2.Switch;
if (msg.LParamHi=VK_F7) then MultiDesktop1.DefaultDesktop;
end;

procedure TFrmMain.FormDestroy(Sender: TObject);
begin
MultiDesktop1.Close;
MultiDesktop2.Close;
UnregisterHotKey(Handle,HokeyId_F5); //ͷȫȼռϵͳԴ
DeleteAtom(HokeyId_F5);
UnregisterHotKey(Handle,HokeyId_F6); //ͷȫȼռϵͳԴ
DeleteAtom(HokeyId_F6);
UnregisterHotKey(Handle,HokeyId_F7); //ͷȫȼռϵͳԴ
DeleteAtom(HokeyId_F7);
end;

end.
